import pandas as pd
import matplotlib.pyplot as plt
import seaborn as sns

DATA_STUDIERENDE = "studierende-21311-0003.csv"
DATA_PERSONAL = "wissenschaftliches-personal-21341-0002.csv"
DATA_GELD = "ausgaben-hochschulen-21371-0002.csv"


def main():
    df_studierende = pd.read_csv(DATA_STUDIERENDE)
    df_studierende["Frauenquote"] = df_studierende["Weiblich"]/df_studierende["Insgesamt"]

    # Plot Vergleich Frauenquote
    bar_studierende_frauenquote = sns.barplot(x="Jahr", y="Frauenquote",
                                              hue="Studiengang",
                                              data=df_studierende, ci=None)

    plt.figure()
    bar_studierende = sns.barplot(x="Jahr", y="Insgesamt", hue="Studiengang",
                                  data=df_studierende, ci=None)
    bar2 = sns.barplot(x="Jahr", y="Weiblich", data=df_studierende,
                       hue="Studiengang", ci=None, palette="flare")

    #df_personal = pd.read_csv(DATA_PERSONAL)
    #print(df_personal)

    df_ausgaben = pd.read_csv(DATA_GELD)
    print(df_ausgaben)


if __name__ == "__main__":
    main()
    plt.show()
